org.apache.cassandra.cache

## Interface CacheKey

- All Superinterfaces:
    IMeasurableMemory
  All Known Implementing Classes:
    KeyCacheKey, RowCacheKey

      public interface CacheKey
      extends IMeasurableMemory

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Pair<java.lang.String,java.lang.String>` | `getPathInfo()`

    - ### Methods inherited from interface org.apache.cassandra.cache.IMeasurableMemory

      `memorySize`

- - ### Method Detail

    - #### getPathInfo

          Pair<java.lang.String,java.lang.String> getPathInfo()

      Returns:
        The keyspace and ColumnFamily names to which this key belongs

Copyright © 2014 The Apache Software Foundation